dpp::activity_button
presence.h
std::string std::string dpp::activity_button::label label dpp::activity_button::label

The text shown on the button (1-32 characters).

std::string std::string dpp::activity_button::url url dpp::activity_button::url

The url opened when clicking the button (1-512 characters, can be empty).

Bots cannot access the activity button URLs.

dpp::activity_button::activity_button
()=default
activity_button
dpp::activity_button::activity_button

Constructor

An activity button is a custom button shown in the rich presence. Can be to join a game or whatever.

dpp::activity_button
label
url
std::basic_string< Char >
std::string
- dpp::activity_button
  activity_button
- dpp::activity_button
  label
- dpp::activity_button
  url